=== examples/@FIRfilter/Makefile ===
# Makefile for octave's scripts/geometry directory
#
# Copyright (C) 2007, 2008, 2009 John W. Eaton
#
# This file is part of Octave.
# 
# Octave is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
# 
# Octave is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Octave; see the file COPYING.  If not, see
# <http://www.gnu.org/licenses/>.

TOPDIR = ../..

script_sub_dir = @FIRfilter

srcdir = .
top_srcdir = ../..


include $(TOPDIR)/Makeconf

define do-mkpkgadd
$(top_srcdir)/scripts/mkpkgadd $(srcdir) > PKG_ADD.t
if [ -n "`cat PKG_ADD.t`" ]; then \
  mv PKG_ADD.t PKG_ADD ; \
else \
  rm -f PKG_ADD.t ; \
fi
endef

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

SOURCES = \
  display.m \
  FIRfilter_aggregation.m \
  FIRfilter.m \
  subsasgn.m \
  subsref.m

DISTFILES = $(addprefix $(srcdir)/, Makefile.in $(SOURCES))

FCN_FILES = $(addprefix $(srcdir)/, $(SOURCES))
FCN_FILES_NO_DIR = $(notdir $(FCN_FILES))

all: PKG_ADD
.PHONY: all

install install-strip:
.PHONY: install install-strip

uninstall:
.PHONY: uninstall

clean:
.PHONY: clean

PKG_ADD: $(FCN_FILES)
	@echo "making PKG_ADD"
	@$(do-mkpkgadd)

tags: $(SOURCES)
	ctags $(SOURCES)

TAGS: $(SOURCES)
	etags $(SOURCES)

mostlyclean: clean
.PHONY: mostlyclean

distclean: clean
	rm -f Makefile PKG_ADD
.PHONY: distclean

maintainer-clean: distclean
	rm -f tags TAGS
.PHONY: maintainer-clean

dist:
	ln $(DISTFILES) ../../`cat ../../.fname`/examples/$(script_sub_dir)
.PHONY: dist

check-m-sources:
	@$(do-check-m-sources)
.PHONY: check-m-sources
