=== debian/changelog ===
octave (3.2.3-maemo1) unstable; urgency=low

  * Fix unneeded runtime texinfo dep that was stopping installation

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Sat, 20 Nov 2010 10:00:00 +0000
